Skip to navigation

Delete Multiple Coupon Codes

Deletes multiple coupon codes relating to the given promotion. Currently, batches are limited to 50 coupon codes.

Notes

  • “id:in” query param is required to delete coupon codes. If not provided, or provided with the wrong data format, a 422 error code is returned.
  • The default rate limit for this endpoint is 40 concurrent requests.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Marketingmodifystore_v2_marketing
Marketingread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

promotion_idstringRequired
The ID of the associated promotion.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlist of integersRequired

A comma-separated list of promotions to filter or target with this operation.

Example: ?id:in=11,12,13,14

codestringOptional

Filter items by code.

Response

A 204 response.

Errors

422
Unprocessable Entity Error